summaryrefslogtreecommitdiffstats
path: root/client/shared/etc/init/defaultTESTING.sh
diff options
context:
space:
mode:
Diffstat (limited to 'client/shared/etc/init/defaultTESTING.sh')
-rwxr-xr-xclient/shared/etc/init/defaultTESTING.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/client/shared/etc/init/defaultTESTING.sh b/client/shared/etc/init/defaultTESTING.sh
new file mode 100755
index 00000000..7a258588
--- /dev/null
+++ b/client/shared/etc/init/defaultTESTING.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+/etc/init.d/ssh restart
+#setterm -blank 0 -powersave off -powerdown 0 < /dev/console > /dev/console 2>&1
+
+ethtool -s eth0 wol g
+
+
+# Fichero de registro de incidencias (en el servidor; si no, en local).
+OPENGNSYS=${OPENGNSYS:-/opt/opengnsys}
+OGLOGFILE=${OGLOGFILE:-$OPENGNSYS/log/${ogGetIpAdderss},log}
+if ! touch $OGLOGFILE 2>/dev/null; then
+ OGLOGFILE=/var/log/opengnsys.log
+fi
+
+echo -ne "og\nog\n" | passwd root
+
+#TODO => activacion de modo escritura en REPO
+
+if [ $ogactiveadmin == "true" ]
+then
+ export boot=admin
+ umount /opt/opengnsys/images
+
+ if [ "$ogprotocol" == "nfs" ]
+ then
+ mount.nfs ${ROOTSERVER}:/opt/opengnsys/images /opt/opengnsys/images -o nolock
+ fi
+
+ if [ "$ogprotocol" == "smb" ]
+ then
+ echo "montando smb"
+ mount.cifs //${ROOTSERVER}/ogimages /opt/opengnsys/images -o user=opengnsys,pass=og
+ echo mount.cifs //${ROOTSERVER}/ogimages /opt/opengnsys/images -o user=opengnsys,pass=og
+
+ fi
+fi
+# Arranque de OpenGnSys Client.
+if [ -x "$OPENGNSYS/bin/ogAdmClient" ]; then
+
+
+ echo "$MSG_LAUNCHCLIENT modo cliente full"
+ $OPENGNSYS/bin/ogAdmClient -f $OPENGNSYS/etc/ogAdmClient.cfg -l $OGLOGFILE -d 5
+fi
+
+# Si fallo en cliente y modo "admin", cargar shell; si no, salir.
+#if [ "$boot" == "admin" ]; then
+ bash
+#fi